import { BinaryReader, BinaryWriter } from "../../../../binary";
import { DeepPartial } from "../../../../helpers";
/**
 * Module is the config object of the epochs module.
 * @name Module
 * @package cosmos.epochs.module.v1
 * @see proto type: cosmos.epochs.module.v1.Module
 */
export interface Module {
}
export interface ModuleProtoMsg {
    typeUrl: "/cosmos.epochs.module.v1.Module";
    value: Uint8Array;
}
/**
 * Module is the config object of the epochs module.
 * @name ModuleAmino
 * @package cosmos.epochs.module.v1
 * @see proto type: cosmos.epochs.module.v1.Module
 */
export interface ModuleAmino {
}
export interface ModuleAminoMsg {
    type: "cosmos-sdk/Module";
    value: ModuleAmino;
}
/**
 * Module is the config object of the epochs module.
 * @name Module
 * @package cosmos.epochs.module.v1
 * @see proto type: cosmos.epochs.module.v1.Module
 */
export declare const Module: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is Module;
    isAmino(o: any): o is ModuleAmino;
    encode(_: Module, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): Module;
    fromPartial(_: DeepPartial<Module>): Module;
    fromAmino(_: ModuleAmino): Module;
    toAmino(_: Module): ModuleAmino;
    fromAminoMsg(object: ModuleAminoMsg): Module;
    toAminoMsg(message: Module): ModuleAminoMsg;
    fromProtoMsg(message: ModuleProtoMsg): Module;
    toProto(message: Module): Uint8Array;
    toProtoMsg(message: Module): ModuleProtoMsg;
    registerTypeUrl(): void;
};
